GNU bug report logs - #21659
24.4; Oversized dired toolbar icon (KDE with Breeze icon theme for GTK)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lutz Wrage <lutz.wrage@HIDDEN>; merged with #23847; dated Sat, 10 Oct 2015 17:54:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 21659 23847. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2015 17:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 10 13:53:25 2015
Received: from localhost ([127.0.0.1]:35557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZkyKi-00059v-K5
	for submit <at> debbugs.gnu.org; Sat, 10 Oct 2015 13:53:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33045)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxJ-0000Df-UA
 for submit <at> debbugs.gnu.org; Sat, 10 Oct 2015 10:17:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxI-0003K4-E9
 for submit <at> debbugs.gnu.org; Sat, 10 Oct 2015 10:17:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32988)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxI-0003K0-BI
 for submit <at> debbugs.gnu.org; Sat, 10 Oct 2015 10:17:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43044)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxG-0002ei-Tz
 for bug-gnu-emacs@HIDDEN; Sat, 10 Oct 2015 10:17:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxF-0003It-EQ
 for bug-gnu-emacs@HIDDEN; Sat, 10 Oct 2015 10:16:58 -0400
Received: from mail-io0-x22d.google.com ([2607:f8b0:4001:c06::22d]:35469)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lutz.wrage@HIDDEN>) id 1ZkuxF-0003Ip-AK
 for bug-gnu-emacs@HIDDEN; Sat, 10 Oct 2015 10:16:57 -0400
Received: by iofl186 with SMTP id l186so35133566iof.2
 for <bug-gnu-emacs@HIDDEN>; Sat, 10 Oct 2015 07:16:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=5jRtadChpwgSv8U5gRMaWKW3po1skBdt5zu2OLiop28=;
 b=lxdAlkuO5PDiuuqBE1tF/xHLBipobHXzmx1J5o4KOe8FJefcHqVBA5MrZvZ1/OPCkh
 ycMhngCAaUEujEuszB0JxzynHCMsH1zZnTgZVDqnvuYophfKKxNvz/8cGEh3P0V7noQ1
 H1QOIvCQKgageToBEzUC0Rwgk9cNvevGh9ltKwljNP5/VSvK8YqQoQYPCmOnDSBde481
 vsY6sLNTpgA1qpQgncNjo0hcHnewoqj24NZjxaFphoMUFhAh96JyPR1NRKBIDJKuO9dK
 vX0KIsxu23+V8+bOL/P5NV7TZM44/cq/hn1Qp4i0246blC90wNndlFR0ncTYckVxGl6L
 z+Dg==
MIME-Version: 1.0
X-Received: by 10.107.159.141 with SMTP id i135mr19760553ioe.96.1444486616302; 
 Sat, 10 Oct 2015 07:16:56 -0700 (PDT)
Received: by 10.36.200.131 with HTTP; Sat, 10 Oct 2015 07:16:56 -0700 (PDT)
Date: Sat, 10 Oct 2015 10:16:56 -0400
Message-ID: <CAERrEKnNbczASKbZNkfQWrSUZT4bS-WGt0XhtuOyxXROupgXNQ@HIDDEN>
Subject: 24.4;
 Oversized dired toolbar icon (KDE with Breeze icon theme for GTK)
From: Lutz Wrage <lutz.wrage@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 10 Oct 2015 13:53:22 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

On KDE the Breeze icon named "system-file-manager" is an svg iconfile with
default size 48x48. Emacs renders the icon in that size in the toolbar.
All other toolbar icons in the main and other toolbars are much smaller
(16x16, or so).

The KDE Breeze developers consider it an emacs bug
https://bugs.kde.org/show_bug.cgi?id=353496:
> Emacs Is using system-file-manager (an app icon) which is wrong, so,
> it's an emacs bug not a Breeze bug. If that button is to open the file
> manager it could use some other action icon. Adding the icon for this
> bug, will in turn, bring back the bug where the task manager plasmoid
> used mono icons. Please report it to the emacs devs.

In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.9)
 of 2015-03-21 on kissel, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11701000
System Description:    Ubuntu 15.04

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' CPPFLAGS=-D_FORTIFY_SOURCE=2
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mail-utils time-date tooltip electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 71534 7919)
 (symbols 48 17572 0)
 (miscs 40 45 88)
 (strings 32 9033 4390)
 (string-bytes 1 249021)
 (vectors 16 8914)
 (vector-slots 8 383105 18851)
 (floats 8 63 298)
 (intervals 56 226 0)
 (buffers 960 11)
 (heap 1024 21975 830))




Acknowledgement sent to Lutz Wrage <lutz.wrage@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21659; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 27 Jun 2016 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.